% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{allele_diff_indices_parallel}
\alias{allele_diff_indices_parallel}
\title{Calculate SNPs or their count for each germline-input sequence pair with optional parallel execution.}
\usage{
allele_diff_indices_parallel(
  germs,
  inputs,
  X = 0L,
  parallel = FALSE,
  return_count = FALSE
)
}
\arguments{
\item{germs}{A vector of strings representing germline sequences.}

\item{inputs}{A vector of strings representing input sequences.}

\item{X}{The threshold index from which to return SNP indices or counts (default: 0).}

\item{parallel}{A boolean flag to enable parallel processing (default: FALSE).}

\item{return_count}{A boolean flag to return the count of mutations instead of their indices (default: FALSE).}
}
\value{
A list of integer vectors (if return_count = FALSE) or a vector of integers (if return_count = TRUE).
}
\description{
Calculate SNPs or their count for each germline-input sequence pair with optional parallel execution.
}
